Retrieve a profile image
curl --request GET \
--url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/auth/user/{id}/profile-image \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/storefront/auth/user/{id}/profile-image"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/storefront/auth/user/{id}/profile-image', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": true,
"content": {
"profile_image_url": "<string>"
}
}{
"message": "<string>",
"success": true,
"code": "<string>",
"error": {}
}{
"message": "<string>",
"success": false,
"code": "<string>"
}{
"message": "<string>",
"success": true,
"code": "<string>"
}Auth
Retrieve a profile image
Retrieves the profile_image_url for the user.
GET
/
auth
/
user
/
{id}
/
profile-image
Retrieve a profile image
Authorizations
Access token
Path Parameters
user ID
Response
OK
A descriptive message confirming the success or failure of the retrieve operation.
Indicates whether the request was successful or failure (true for success, false for failure).
An object containing the response content.
Show child attributes
Show child attributes
Was this page helpful?
⌘I